Subject: missing Hooks in Form Wizard

Description

Hi,

i am a developer for the wt_spamshield extension.

Since TYPOS3 4.6 "form" is rewritten. We miss Hooks to integrate wt_spamshield.

It would be great if the function showForm() in Classes/Controller/Form.php (for TYPO3 4.x) and FormController.php (for TYPO3 6.x)
could provide a Hook to manipulate the mail sending process.

| attached 2 patches for TYPO3 4.x and TYPO3 6.x

History

#1 - 2013-04-22 18:45 - Philipp Gampe

Hooks are features and as such may only go into the dev branches (6.2 after release of 6.1).

IMHO the hook should return $show.

Would you please push your patch to gerrit: http:/wiki.typo3.org/Contribution_Walkthrough_Tutorials

#2 - 2013-04-24 08:58 - Patrick Broens
- Target version set to 6.2.0
- TYPOS3 Version changed from 4.7 to 6.2

As Philipp mentioned, this hook is a new feature and should not go into older versions than 6.2.

The goal is to have Slot/Signal instead of hooks in 6.x. | would like to see this one as a Signal Slot as well.

I'll have a look if | can find the time soon to get this done.

#3 - 2013-04-24 10:53 - Patrick Broens
- File FormController.php.6.x.diff added

Could you try the Signal Slot I've provided?

#4 - 2013-04-24 10:58 - Patrick Broens
- File FormController.php.6.x.diff added
http://wiki.typo3.org/Contribution_Walkthrough_Tutorials

Sorry, forgot the $submittedByPrefix parameter

#5 - 2013-04-24 10:59 - Patrick Broens
- File deleted (FormController.php.6.x.diff)

#6 - 2013-10-28 20:58 - Ernesto Baschny
- Target version deleted (6.2.0)

Sadly work stalled on this signal slot, let's try to not forget about it for future versions.

#7 - 2015-01-18 22:53 - Mathias Schreiber
- Target version set to 7.2 (Frontend)

#8 - 2015-06-15 17:44 - Benjamin Mack
- Target version changed from 7.2 (Frontend) to 7.4 (Backend)

#9 - 2015-07-19 12:55 - Bjoern Jacob
- Category changed from Form Wizard to PRJ: Forms

#10 - 2015-07-20 17:24 - Bjoern Jacob
- Category changed from PRJ: Forms to Form Wizard

Files

Form.php.4.x.diff 603 Bytes 2013-04-22 Ralf Zimmermann

FormController.php.6.x.diff 887 Bytes 2013-04-22 Ralf Zimmermann

FormController.php.6.x.diff 2.1 kB 2013-04-24 Patrick Broens
